package LoadTester.CPU;

public class TestThread extends Thread{
  private final long sleep = 100;
  private LoadMethod lm;
  private int        load1;
  private int        load2;
  private long       time;
  
  public TestThread(int load1,int load2){
    lm    = new LoadMethod();
    setLoad(load1,load2);
    time = 0;
  }
  public void setLoad(int load1,int load2){
    this.load1 = load1;
    this.load2 = load2;
  }
  public int getTime(){
    return (int)time;
  }
  public void run(){
    double  a[] = new double[load1];
    long    t1,t2;
    int     loop = 2;
    try{
      for(int i = 0 ; i < loop ; i++){
        Thread.sleep(sleep);
        t1 = System.currentTimeMillis();
        for(int j = 0 ; j < load2 ; j++)
          lm.something(a);
        t2 = System.currentTimeMillis();
        time = t2 - t1;
      }
    }catch( Exception e ){
    }
  }
}
